Package org.eclipse.m2m.atl.emftvm.impl

## Class OperationImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl
        - - org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl
          - - org.eclipse.m2m.atl.emftvm.impl.FeatureImpl
            - - org.eclipse.m2m.atl.emftvm.impl.OperationImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Feature`, `NamedElement`, `Operation`, `TypedElement`

    public class OperationImpl
    extends FeatureImpl
    implements Operation

An implementation of the model object 'Operation'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected CodeBlock` `body` The cached value of the '`Body`' containment reference.
`protected org.eclipse.emf.common.util.EList<Parameter>` `parameters` The cached value of the '`Parameters`' containment reference list.
`protected boolean` `query` The cached value of the '`Query`' attribute.
`protected static boolean` `QUERY_EDEFAULT` The default value of the '`Query`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.FeatureImpl

`context, CONTEXT_EDEFAULT, CONTEXT_MODEL_EDEFAULT, contextModel, eContext, static_, STATIC_EDEFAULT`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl

`eType, type, TYPE_EDEFAULT, TYPE_MODEL_EDEFAULT, typeModel`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `OperationImpl()` Creates a new `OperationImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.NotificationChain` `basicSetBody​(CodeBlock newBody, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`CodeBlock` `getBody()` Returns the value of the 'Body' containment reference.
`org.eclipse.emf.common.util.EList<Parameter>` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`boolean` `isQuery()` Returns the value of the 'Query' attribute.
`void` `setBody​(CodeBlock newBody)` Sets the value of the '`Body`' containment reference.
`void` `setQuery​(boolean newQuery)` Sets the value of the '`Query`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.FeatureImpl

`basicGetEContext, basicSetModule, eBasicRemoveFromContainerFeature, getContext, getContextModel, getEContext, getModule, isStatic, setContext, setContextModel, setEContext, setModule, setStatic`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl

`basicGetEType, getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`getName, setName`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Feature

`getContext, getContextModel, getEContext, getModule, isStatic, setContext, setContextModel, setEContext, setModule, setStatic`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Field Detail

#### parameters

    protected org.eclipse.emf.common.util.EList<Parameter> parameters

The cached value of the '`Parameters`' containment reference list.

See Also:
  `getParameters()`

#### QUERY_EDEFAULT

    protected static final boolean QUERY_EDEFAULT

The default value of the '`Query`' attribute.

See Also:
  `isQuery()`, Constant Field Values

#### query

    protected boolean query

The cached value of the '`Query`' attribute.

See Also:
  `isQuery()`

#### body

    protected CodeBlock body

The cached value of the '`Body`' containment reference.

See Also:
  `getBody()`

### Constructor Detail

#### OperationImpl

    protected OperationImpl()

Creates a new `OperationImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `FeatureImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getParameters

    public org.eclipse.emf.common.util.EList<Parameter> getParameters()

Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`. It is bidirectional and its opposite is '`Operation`'.

If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

Specified by:
  `getParameters` in interface `Operation`
Returns:
  the value of the 'Parameters' containment reference list.
See Also:
  `EmftvmPackage.getOperation_Parameters()`, `Parameter.getOperation()`

#### isQuery

    public boolean isQuery()

Returns the value of the 'Query' attribute.

If the meaning of the 'Query' attribute isn't clear, there really should be more of a description here...

Specified by:
  `isQuery` in interface `Operation`
Returns:
  the value of the 'Query' attribute.
See Also:
  `Operation.setQuery(boolean)`, `EmftvmPackage.getOperation_Query()`

#### setQuery

    public void setQuery​(boolean newQuery)

Sets the value of the '`Query`' attribute.

Specified by:
  `setQuery` in interface `Operation`
Parameters:
  `newQuery` - the new value of the 'Query' attribute.
See Also:
  `Operation.isQuery()`

#### getBody

    public CodeBlock getBody()

Returns the value of the 'Body' containment reference. It is bidirectional and its opposite is '`Body For`'.

If the meaning of the 'Body' containment reference isn't clear, there really should be more of a description here...

Specified by:
  `getBody` in interface `Operation`
Returns:
  the value of the 'Body' containment reference.
See Also:
  `Operation.setBody(CodeBlock)`, `EmftvmPackage.getOperation_Body()`, `CodeBlock.getBodyFor()`

#### basicSetBody

    public org.eclipse.emf.common.notify.NotificationChain basicSetBody​(CodeBlock newBody,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

See Also:
  `setBody(CodeBlock)`

#### setBody

    public void setBody​(CodeBlock newBody)

Sets the value of the '`Body`' containment reference.

Specified by:
  `setBody` in interface `Operation`
Parameters:
  `newBody` - the new value of the 'Body' containment reference.
See Also:
  `Operation.getBody()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `FeatureImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `FeatureImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `FeatureImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `FeatureImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `FeatureImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `FeatureImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `FeatureImpl`